// pages/details/details.js
import httpRequestApi from '../../utils/APIRequest';
Page({
  /**
   * 页面的初始数据
   */
  data: {
    anthologyHide: true,
    detailsHide: true,
    hide: true,
    str: '',
    summary: '',
    courseWareList: [],
    courseId: '',
    favoritesFlag: false,
    title: '',
    iconImg: ''
  },
  //点击收藏
  favorites: function () {
    this.setData({
      favoritesFlag: !this.data.favoritesFlag
    })
    console.log(this.data.courseId, this.data.title, this.data.iconImg)
    httpRequestApi.getCourseDetails({
      targetCode: this.data.courseId,
      title: this.data.title,
      iconImg: this.data.iconImg
    }).success((res)=>{
      console.log(res);

    })
    
  },

  //点击出现选集
  commentAnthology: function () {
    this.setData({
      anthologyHide: !this.data.anthologyHide
    })
  },

  //出现详情页
  commentDetails: function () {
    this.setData({
      detailsHide: !this.data.detailsHide
    })
  },

  //点击评论
  pinglun: function () {
    this.setData({
      hide: !this.data.hide
    })
  },
  //点击取消
  no: function () {
    this.setData({
      hide: !this.data.hide,
      str: ''
    })
  },
  //点击确定
  yes: function () {
    this.setData({
      hide: !this.data.hide,
      str: ''
    })
  },   
  //获取输入值
  focus: function ({detail}) {
    this.setData({
      str: detail.value
    })
  }, 

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    const courseId = options.id;
    httpRequestApi.getCourseDetails(courseId).success((res)=>{
      console.log(res);
      const data = res.data.data;
      this.setData({
        title: data.course.title,
        iconImg: data.course.iconImg,
        courseId,
        summary: data.course.summary,
        courseWareList: data.courseWareList
      })
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})