import { getInstance } from './httpRequest';
import { apiUrl } from './const.js';
//console.log(getInstance().url)
const httpApiUrl = (str) => {
    return apiUrl + str;
}

class httpRequestApi {
    //课程表首页
    static getCourse(data) {
        const url = httpApiUrl('wx/course');
        return getInstance().url(url).data(data).send();
    }
    //获取课程详情
    static getCourseDetails(id) {
        const url = httpApiUrl(`wx/course/${id}`);
        return getInstance().url(url).data().send();
    }
    //收藏或者取消
    static getDetailsFavorites(data) {
        const url = httpApiUrl('wx/favorites');
        return getInstance().url(url).data(data).method('POST').send();
    }
}

export default httpRequestApi;





